<div class="full-height full-width flex-column m-b-10">
  <div class="flex-row m-b-10 align-items-flex-end space-between">
    <span class="automation-workspace-main-title m-l-50">
      {{ mainTitleI18NKey | translate }}
    </span>
    <i
      nz-icon
      nzType="sqtm-core-automation:workflow"
      class="current-workspace-button action-icon-size p-r-5"
      nz-tooltip
      [nzTooltipTitle]="
        'sqtm-core.automation-workspace.button.workflow.label' | translate
      "
      (click)="showWorkFlowDialog()"
    ></i>
  </div>
  <div class="flex-row align-items-flex-end space-between">
    <div class="flex-row">
      <span class="automation-workspace-secondary-title m-l-50 m-r-10">
        {{ tableNameI18NKey | translate }}
      </span>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        class="current-workspace-button action-icon-size"
        nz-tooltip
        [nzTooltipTitle]="helpI18NKey | translate"
      ></i>
      <ng-content select="[projection=reset-filter-button]"></ng-content>
    </div>
    <div>
      <ng-content select="[projection=automation-button-action]"></ng-content>
    </div>
  </div>
</div>
